maven-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Zlika (JIRA)" <j...@codehaus.org>
Subject [jira] (MPMD-182) upgrade to last 5.1.0
Date Tue, 24 Jun 2014 14:07:10 GMT

    [ https://jira.codehaus.org/browse/MPMD-182?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=348662#comment-348662
] 

Zlika commented on MPMD-182:
----------------------------

Ok, now I know how it fails using Java 8: there is an exception during report generation ("site"
phase): "Unsupported targetJdk value '1.8'".
The stack trace is:
{noformat}
...
Caused by: org.apache.maven.reporting.MavenReportException: Unsupported targetJdk value '1.8'
    at org.apache.maven.plugin.pmd.PmdReport.getPMDConfiguration(PmdReport.java:530)
    at org.apache.maven.plugin.pmd.PmdReport.executePmd(PmdReport.java:287)
    at org.apache.maven.plugin.pmd.PmdReport.executePmdWithClassloader(PmdReport.java:263)
    at org.apache.maven.plugin.pmd.PmdReport.canGenerateReport(PmdReport.java:238)
    ... 37 more
{noformat}

> upgrade to last 5.1.0
> ---------------------
>
>                 Key: MPMD-182
>                 URL: https://jira.codehaus.org/browse/MPMD-182
>             Project: Maven PMD Plugin
>          Issue Type: Improvement
>            Reporter: Olivier Lamy
>             Fix For: 3.2
>
>




--
This message was sent by Atlassian JIRA
(v6.1.6#6162)

Mime
View raw message